<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-page-detail full-detail" style="width: 100%">
            <el-table
                :element-loading-background="loadingColor"
                v-loading="loading"
                height="100%"
                highlight-current-row
                current-row-key="id"
                align="center"
                :data="tableData"
                class="dialog_table"
                :header-cell-style="{'text-align': 'center'}"
                ref="myTable"
                @current-change="currentChange"
            >
                <el-table-column
                    type="index"
                    label="序号"
                    width="80"
                    align="center"
                >
                </el-table-column>
                <el-table-column
                    prop="projectName"
                    label="项目名称"
                    width="240"
                    align="left"
                >
                </el-table-column>
                <!-- <el-table-column prop="indexKey" label="项目序号">
                </el-table-column> -->
                <el-table-column label="制度成果" align="left">
                    <template v-slot="{row}">
                        <div
                            v-for="(item, index) in row.childrenList"
                            :key="index"
                            class="detail-item"
                        >
                            <div class="detail-index">
                                {{ index + 1 }}
                            </div>
                            <div class="detail-content">{{ item }}</div>
                        </div>
                    </template>
                </el-table-column>
                <!-- <el-table-column prop="createTime" label="搭建日期" width="110">
                </el-table-column> -->
            </el-table>
            <!-- <pagenation
                :pageResult="params.pageBean"
                @currentChange="pageChange"
                class="pagenation"
            ></pagenation> -->
        </div>
        <!-- <div class="sub-page-detail">
            <div class="bg-de">
                <div class="de-con">
                    <div>
                        <img
                            v-for="(item, index) in 2"
                            :key="index"
                            src="@/assets/img/bigScreen/img_wk_zs2@2x.png"
                        />
                    </div>
                    <div class="title">{{ currentRow.projectName }}</div>
                    <div>
                        <img
                            v-for="(item, index) in 2"
                            :key="index"
                            src="@/assets/img/bigScreen/img_wk_zs2@2x.png"
                        />
                    </div>
                </div>
            </div>
            <el-form
                label-position="top"
                class="sub-page--expand"
                :element-loading-background="loadingColor"
                v-loading="loading"
            >
                <el-row>
                    <el-form-item label="解决问题：">
                        <span>{{ infoData.problems }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="运行实效：">
                        <span>{{ infoData.workPlan }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="佐证材料：">
                        <el-row>
                            <FileList
                                :fileList="infoData.defaultFileList"
                                :isDelete="false"
                                :classified="
                                    infoData.classified &&
                                    (!infoData.defaultFileList ||
                                        !infoData.defaultFileList.length)
                                "
                            ></FileList>
                        </el-row>
                    </el-form-item>
                </el-row>
            </el-form>
        </div> -->
    </div>
</template>

<script>
import FileList from '@/components/uploadFile/FileList.vue'
import pagenation from './pagenation.vue'
import apiList from '@/api/bigScreen/majorView.js'
import moment from 'moment'
const portal = window.context.portal
export default {
    name: 'importantPlatform',
    components: {pagenation, FileList},
    props: {
        options: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            currentRow: {},
            reqLoading: false,
            previewUrl: `${portal}/file/onlinePreviewController/v1/getFileById_`,
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            params: {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    total: 0,
                    showTotal: true,
                },
                params: {},
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'r.RESULT_FORM_',
                        relation: 'AND',
                        value: 2,
                    },
                ],
                // sorter: [
                //     {
                //         direction: 'ASC',
                //         property: 'PROJECT_NAME_',
                //     },
                // ],
            },
            paramsFile: {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'BIZ_ID_',
                        relation: 'AND',
                        value: '',
                    },
                ],
            },
            pageBean: {
                page: 1,
                pageSize: -1,
                showTotal: true,
            },
            infoData: {},
            isShow: 1,
            listType: 0,
            columnIndexFixed: [0, 1], // 固定列序号
        }
    },
    mounted() {
        this.listType = this.$route.query.type
        this.$bus.$on('changeDate', (searchDate) => {
            this.getResultList(this.$route.query.type)
        })
        this.getResultList(this.$route.query.type)
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        currentChange(currentRow, oldCurrentRow) {
            return
            this.currentRow = currentRow
            this.handleDetail(currentRow)
        },
        getResultList(type) {
            this.loading = true
            let searchDate = JSON.parse(sessionStorage.getItem('searchDate'))
            let type1 = type == 5 ? [4, 5] : []
            console.log(type1,'type');
            let data1 = {
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 's.PLAN_YEAR_', // 字段名
                        relation: 'AND',
                        value: searchDate.year,
                    },
                    {
                        group: 'main',
                        operation: 'LESS_EQUAL',
                        parentGroup: '',
                        property: 's.PLAN_MONTH_', // 字段名
                        relation: 'AND',
                        value: searchDate.month,
                    },
                    {
                        group: 'main',
                        operation: 'IN',
                        parentGroup: '',
                        property: 's.PLAN_type_',
                        relation: 'AND',
                        value: type1,
                    },
                ],
            }
            data1.pageBean = this.pageBean
            apiList.getResultList(data1, (res) => {
                if (res && res.rows) {
                    this.params.pageBean.page = res.page
                    this.params.pageBean.pageSize = res.pageSize
                    this.params.pageBean.total = res.total
                    let indexKey = 1
                    let projectNameArr = {}
                    let dataRow = res.rows
                    dataRow = dataRow.sort((a, b) => {
                        return a.projectName.localeCompare(
                            b.projectName,
                            'zh-CN'
                        )
                    })

                    dataRow = dataRow.map((item) => {
                        if (!projectNameArr[item.projectName]) {
                            projectNameArr[item.projectName] = indexKey
                            item.indexKey = indexKey
                            projectNameArr[`${item.projectName}childrenList`] =
                                [item.completedWork]
                        } else {
                            projectNameArr[
                                `${item.projectName}childrenList`
                            ].push(item.completedWork)
                            item.indexKey = projectNameArr[item.projectName]
                        }
                        item.childrenList =
                            projectNameArr[`${item.projectName}childrenList`]
                        return item
                    })
                    let projectId = []
                    let filterData = []
                    dataRow.forEach((item) => {
                        if (!projectId.includes(item.projectId)) {
                            projectId.push(item.projectId)
                            filterData.push(item)
                        }
                    })

                    this.tableData = filterData
                    console.log('table', this.tableData)

                    if (this.tableData.length) {
                        this.currentRow = this.tableData[0]
                        this.$nextTick(() => {
                            this.$refs.myTable.setCurrentRow(
                                this.$refs.myTable.data[0]
                            )
                        })
                    } else {
                        this.currentRow = {}
                        this.infoData = {}
                    }
                }
                this.loading = false
            })
        },
        handleDetail(row) {
            apiList.getResultD(row.id, (res) => {
                if (res) {
                    this.infoData = res
                }
            })
        },
        pageChange() {
            this.getResultList(this.listType)
        },
        expandChange(row, expandedRows) {
            console.log(row, expandedRows)
            if (row.fileList) return
            this.getFiles(row)
        },
        getFiles(row) {
            this.paramsFile.querys[0].value = row.id
            apiList.getFiles(this.paramsFile, (data) => {
                row.fileList = data.rows
            })
            let index = this.tableData.findIndex((item) => item.id == row.id)
            this.tableData.splice(index, 1, row)
        },
        handlePreview(file) {
            let id = file.fileId
                ? file.fileId
                : file.id
                ? file.id
                : file.response.fileId
            let type =
                file.fileType ||
                (file.extensionName
                    ? file.extensionName
                    : file.name.split('.')[1])
            this.$refs.filePreview.previewUrl = this.previewUrl + id
            this.$refs.filePreview.open(type)
        },
        // 文件下载
        handleDownloadFile(file) {
            console.log(file)
            let id = file.fileId
                ? file.fileId
                : file.id
                ? file.id
                : file.response.fileId
            window.open(portal + `/file/v1/downloadFile?fileId=${id}`, '_self')
        },
        loadData() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            this.params.params = {
                year: searchDate.year,
                quarter: searchDate.quarter,
            }
            // this.params.querys[1].value = searchDate.year
            // this.params.querys[2].value = searchDate.quarter
            apiList.getPilotResultDetail(this.params, (res) => {
                if (res && res.rows) {
                    this.tableData = res.rows
                    this.params.pageBean.page = res.page
                    this.params.pageBean.pageSize = res.pageSize
                    this.params.pageBean.total = res.total
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
/deep/.file-item {
  border: none !important;

  .file_name {
    font-size: 14PX !important;
    max-width: 60%;
  }
}

/deep/.classified {
  font-size: 14PX !important;
}

.myInfo {
  /deep/.el-descriptions__body {
    // background: transparent;
    background: rgba(2, 62, 141, 1);
    box-sizing: border-box;

    .el-descriptions__table {
      // background: transparent;
      background: rgba(2, 62, 141, 1);

      th,
      tr,
      td {
        background: rgba(2, 62, 141, 1);
        color: #f3f3f3;
      }
    }
  }

  /deep/.el-descriptions .is-bordered .el-descriptions-item__cell {
    // border: 1PX #01215a solid;
    // border-left: none;
    border: none;
  }
}

/deep/.el-table__expand-column .cell {
  width: 0;
  height: 0;
  display: none;
}
/deep/.el-table td.el-table__cell div{
    font-size: 18PX;
}
.detail-item{
    width: 100%;
    font-size: 16PX;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    margin: 14PX 0;
    .detail-index{
        display: inline-block;
        width: 26PX!important;
        height: 26PX;
        font-size: 16PX;
        border: 1px solid #fff;
        border-radius: 26PX;
        margin-right: 10PX;
        text-align: center;
        line-height: 26PX;
    }
    .detail-content{
        width: calc(100% - 26PX);
        font-size: 18PX;
        line-height: 160%;
    }
}
</style>
<style lang="scss">
@import './table.scss';
</style>
